Package org.apache.groovy.internal.metaclass

## Class MetaClassConstant<T>

- java.lang.Object
- - org.apache.groovy.internal.metaclass.MetaClassConstant<T>

-     @Incubating
      public final class MetaClassConstant<T>
      extends Object

  The one and only implementation of a meta class. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaClassConstant​(Class<T> clazz)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MetaMethod` | `getMethod​(String name, Class[] parameters)` |
    `SwitchPoint` | `getSwitchPoint()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaClassConstant

          public MetaClassConstant​(Class<T> clazz)

  - ### Method Detail

    - #### getSwitchPoint

          public SwitchPoint getSwitchPoint()

    - #### getMethod

          public MetaMethod getMethod​(String name,
                                      Class[] parameters)